var t;
if (!t){
function checkPlatform() {
	_mobile = '';
	_userAgent = navigator.userAgent.toLowerCase();
	if (_userAgent.indexOf('iphone') >= 0 || _userAgent.indexOf('android') >= 0 || _userAgent.indexOf('ipad') >= 0) {
		_mobile = 'mobile';
	} else {
		_mobile = 'pc';
	}
	$('div.coca').addClass(_mobile);
	$('div.srank').addClass(_mobile);
	return _mobile;
}
jQuery(function() {
	(function($) {
	$(".pf a").each(function(){
		if($(this).css("display")=="inline-block"){
			$(this).find("img").css("cssText", "display:block;!important")
		}
	})

if (!window.coca) {
	$("div.coca:not('.iweb')").hide();
}else{
$("div.coca:not('.iweb')").show();
}
if (!window.iweb) {
	$("div.iweb").hide();
}
if (!window.spoken) {
	$(".srank").hide();
}
if (!window.exam) {
	$(".word-frequency").hide();
}
if (!window.ex_ratio) {
	$(".coca2").hide();
}
if (!window.EPFD) {
	$(".epfd").hide();
}
	if (!window.definition) {
	$(".gdc").hide();
}
if (!window.header) {
	$(".hwrap").hide();
}
if (!window.pronuk) {
	$(".pf .Sizeclunkn,.pf .Sizecluk,.pf .Sizeouk,.pf .Sizecuk,.pf .brefile").hide();
}
if (!window.pronus) {
	$(".pf .Sizeclunkn,.pf .Sizeclus,.pf .Sizeous,.pf .Sizecus,.pf .Sizelus,.pf .mw,.pf .amefile,.pf .Sizev,.pf .Sized").hide();
}
if (!window.order) {
	$(".pf a").each(function(){
		$(this).prependTo(".pf");
	})
}

	$(".pf a").each(function(){
		if($(this).find("img").is(":visible")){
			$(this).addClass("visible");
		}
	});
	$(".pf img").mouseover(function(){
		$(this).click();
	});
	var j = 0;
	var items=$(".pf a.visible img");

	checkPlatform();

	for (var n = 0; n < $(".coca").length; n++) {
		var coca = $(".coca").eq(n);

		/**
		* display when there is only one part of speech
		*/
		if (coca.find(".pos").length == 1) {
			coca.find(".word").css({
				"float": "left",
				"margin-right": "0.35em"
			});
			coca.find(".pos").css("clear", "none");
		}

		/**
		* reorder by rank
		*/
		var l = coca.find(".rank").length, a;
		while (l > 0) {
			for (a = 0; a < l - 1; a++) {
				if (Number(coca.find(".rank").eq(a).text()) > Number(coca.find(".rank").eq(a+1).text())) {
					coca.find(".pos").eq(a+1).insertBefore(coca.find(".pos").eq(a));
					coca.find(".rank").eq(a+1).insertAfter(coca.find(".pos").eq(a));
					coca.find(".total").eq(a+1).insertAfter(coca.find(".rank").eq(a));
					coca.find(".table").eq(a+1).insertAfter(coca.find(".total").eq(a));
				}
			}
			l--;
		}

		/**
		* replace part of speech
		*/
		coca.find(".pos").each(function() {
			switch (coca.find(this).text()) {
				case "n":
					coca.find(this).text("noun");
					break;
				case "v":
					coca.find(this).text("verb");
					break;
				case "j":
					coca.find(this).text("adj");
					break;
				case "r":
					coca.find(this).text("adv");
					break;
				case "c":
					coca.find(this).text("conj");
					break;
				case "i":
					coca.find(this).text("prep");
					break;
				case "d":
					coca.find(this).text("determiner");
					break;
				case "a":
					coca.find(this).text("article");
					break;
				case "m":
					coca.find(this).text("number");
					break;
				case "p":
					coca.find(this).text("pronoun");
					break;
				case "t":
					coca.find(this).text("infinitive");
					break;
				case "u":
					coca.find(this).text("interjection");
					break;
				case "x":
					coca.find(this).text("negation");
					break;
				case "e":
					coca.find(this).text("existential");
					break;
				case "g":
					coca.find(this).text("genitive");
					break;
				default:
					break;
			}
		});

		/**
		* add rows to tables
		*/
		var i;
		for (i = 0; i < coca.find(".table").length; i++) {
			var thisTable = coca.find(".table").eq(i);
			// add second row
			$("<div>").addClass("percent-post").css("height", (thisTable.find(".spoken").find(".freq").text() / thisTable.parent().find(".total").eq(i).text() * 3) + "em").appendTo($("<div>").addClass("percent").prependTo(thisTable.find(".spoken")));
			$("<div>").addClass("percent-post").css("height", (thisTable.find(".fiction").find(".freq").text() / thisTable.parent().find(".total").eq(i).text() * 3) + "em").appendTo($("<div>").addClass("percent").prependTo(thisTable.find(".fiction")));
			$("<div>").addClass("percent-post").css("height", (thisTable.find(".magazine").find(".freq").text() / thisTable.parent().find(".total").eq(i).text() * 3) + "em").appendTo($("<div>").addClass("percent").prependTo(thisTable.find(".magazine")));
			$("<div>").addClass("percent-post").css("height", (thisTable.find(".newspaper").find(".freq").text() / thisTable.parent().find(".total").eq(i).text() * 3) + "em").appendTo($("<div>").addClass("percent").prependTo(thisTable.find(".newspaper")));
			$("<div>").addClass("percent-post").css("height", (thisTable.find(".academic").find(".freq").text() / thisTable.parent().find(".total").eq(i).text() * 3) + "em").appendTo($("<div>").addClass("percent").prependTo(thisTable.find(".academic")));
			// add first row
			$("<div>").addClass("title").text("Spoken").prependTo(thisTable.find(".spoken"));
			$("<div>").addClass("title").text("Fiction").prependTo(thisTable.find(".fiction"));
			$("<div>").addClass("title").text("Magazine").prependTo(thisTable.find(".magazine"));
			$("<div>").addClass("title").text("Newspaper").prependTo(thisTable.find(".newspaper"));
			$("<div>").addClass("title").text("Academic").prependTo(thisTable.find(".academic"));
		}
		// check repeat
		for (i = 0; i < coca.find(".table").length; i++) {
			if (coca.find(".table").eq(i).find(".title").length == 10 && coca.find(".table").eq(i).find(".percent").length == 10) {
				for (var h = 0; h < 5; h++) {
					coca.find(".table").eq(i).find(".title").eq(h).remove();
					coca.find(".table").eq(i).find(".percent").eq(h).remove();
				}
			}
		}

		/**
		* display by max width
		*/
		maxWidth(".pos");

		/**
		* part of speech percent
		*/
		var sumFreq = 0;
		for (var p = 0; p < coca.find(".pos").length; p++) {
			sumFreq = sumFreq + Number(coca.find('.total').eq(p).text());
		}
		if (coca.find(".pos").length > 1) {
			for (var m = 0; m < coca.find(".pos").length; m++) {
				var posPercent = $("<div>").addClass("pos-percent").insertAfter(coca.find(".total").eq(m));
				$("<div>").addClass("pos-percent-block").css("width", coca.find(".total").eq(m).text() / sumFreq * 6 + "em").appendTo(posPercent);
				$("<div>").addClass("pos-percent-text").text((coca.find(".total").eq(m).text() / sumFreq * 100).toFixed(1) + "%").appendTo(posPercent);
			}
		}
	}

	/**
	* fix repeat bug
	*/
	for (var t=0; t < $(".pos-percent").length; t++) {
		if ($(".pos-percent").eq(t).html() == $(".pos-percent").eq(t).next().html()) {
			$(".pos-percent").eq(t).remove();
		}
	}

	function maxWidth(_class) {
		var _maxWidth = 0;
		for (var k = 0; k < coca.find(_class).length; k++) {
			if (coca.find(_class).eq(k).width() > _maxWidth) {
				_maxWidth = coca.find(_class).eq(k).width();
			}
		}
		coca.find(_class).css("width", _maxWidth);
	}
})(jQuery);
})
jQuery(function() {
(function($) {
	if("mobile"!=checkPlatform()){
		$(".coca").find(".total").mouseover(function() {
			
			var thisTable = $(this).parent().find(".table").eq(parseInt(($(this).index() + 3) / 5) - 1);
				$(this).addClass("total-active");
				var height = ($(this).height()+1)*(parseInt(($(this).index() + 3) / 5));
				thisTable.css("top",height);
				thisTable.show();
				//thisTable.slideDown(300);
			}
		);
		$(".coca").find(".total").mouseout(function() {
			var thisTable = $(this).parent().find(".table").eq(parseInt(($(this).index() + 3) / 5) - 1);
			$(this).removeClass("total-active");
			thisTable.hide();
			//	thisTable.slideUp(300);
			}
		);
	}else{
		$(".coca").find(".total").on("click", function() {
			var thisTable = $(this).parent().find(".table").eq(parseInt(($(this).index() + 3) / 4) - 1);
			if(thisTable.is(":hidden")){
				//$(".coca").find(".table").slideUp(300);
				$(".coca").find(".total-active").removeClass(".total-active");
				$(this).addClass("total-active");
				var height = ($(this).height())*(parseInt(($(this).index() + 3) / 4));
				thisTable.css("top",height);
				thisTable.show();
				//thisTable.slideDown(300);
			} else {
				$(this).removeClass("total-active");
				thisTable.hide();
				//thisTable.slideUp(300);
			}
		});
		$(".explain_wrap_styleless").css("overflow","visible");
	}
})(jQuery);
});
}
t = 1;